# redrover-api
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 1.0.3
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/edustaff/redrover-api.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/edustaff/redrover-api.git`)

Then import the package:
```python
import redrover_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import redrover_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import redrover_api
from redrover_api.rest import ApiException
from pprint import pprint

configuration = redrover_api.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# Defining host is optional and default to http://localhost
configuration.host = "http://localhost"
# Create an instance of the API class
api_instance = redrover_api.UserApi(redrover_api.ApiClient(configuration))
org_id = 56 # int | 
api_key = 'api_key_example' # str |  (optional)
admin = redrover_api.AdministratorDto() # AdministratorDto |  (optional)

try:
    api_response = api_instance.add_or_update_administrator(org_id, api_key=api_key, admin=admin)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling UserApi->add_or_update_administrator: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*UserApi* | [**add_or_update_administrator**](docs/UserApi.md#add_or_update_administrator) | **POST** /api/{orgId}/administrator | 
*UserApi* | [**add_or_update_employee**](docs/UserApi.md#add_or_update_employee) | **POST** /api/{orgId}/employee | 
*UserApi* | [**add_or_update_substitute**](docs/UserApi.md#add_or_update_substitute) | **POST** /api/{orgId}/substitute | 
*UserApi* | [**delete_org_user**](docs/UserApi.md#delete_org_user) | **DELETE** /api/{orgId}/user/{id} | 
*UserApi* | [**get_administrator**](docs/UserApi.md#get_administrator) | **GET** /api/{orgId}/administrator/{id} | 
*UserApi* | [**get_employee**](docs/UserApi.md#get_employee) | **GET** /api/{orgId}/employee/{id} | 
*UserApi* | [**get_substitute**](docs/UserApi.md#get_substitute) | **GET** /api/{orgId}/substitute/{id} | 
*UserApi* | [**get_substitutes**](docs/UserApi.md#get_substitutes) | **GET** /api/{orgId}/substitute | 
*VacancyApi* | [**list_details**](docs/VacancyApi.md#list_details) | **GET** /api/{orgId}/vacancyDetails | 


## Documentation For Models

 - [AccessControlDto](docs/AccessControlDto.md)
 - [AccessControlResponse](docs/AccessControlResponse.md)
 - [AccountingCode](docs/AccountingCode.md)
 - [AccountingCodeAllocation](docs/AccountingCodeAllocation.md)
 - [AdministratorDto](docs/AdministratorDto.md)
 - [AdministratorResponse](docs/AdministratorResponse.md)
 - [EmployeeDto](docs/EmployeeDto.md)
 - [EmployeeResponse](docs/EmployeeResponse.md)
 - [LocatorInt32](docs/LocatorInt32.md)
 - [PayCode](docs/PayCode.md)
 - [PositionDto](docs/PositionDto.md)
 - [Reason](docs/Reason.md)
 - [ReplacementCriteriaDto](docs/ReplacementCriteriaDto.md)
 - [SimpleAbsenceDetail](docs/SimpleAbsenceDetail.md)
 - [SimpleLocation](docs/SimpleLocation.md)
 - [SimplePerson](docs/SimplePerson.md)
 - [SimplePosition](docs/SimplePosition.md)
 - [SimplePositionScheduleDto](docs/SimplePositionScheduleDto.md)
 - [SubstituteAttributeDto](docs/SubstituteAttributeDto.md)
 - [SubstituteDto](docs/SubstituteDto.md)
 - [SubstitutePreferencesDto](docs/SubstitutePreferencesDto.md)
 - [SubstituteResponse](docs/SubstituteResponse.md)
 - [TimeOffBalanceDto](docs/TimeOffBalanceDto.md)
 - [VacancyDetailResponse](docs/VacancyDetailResponse.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author

contact@edustaff.org


